rpms/oidentd/devel oidentd.init,1.1,1.2 oidentd.spec,1.16,1.17

Matthias Saou thias at fedoraproject.org
Sat Apr 11 11:52:41 UTC 2009


Author: thias

Update of /cvs/extras/rpms/oidentd/devel
In directory cvs1.fedora.phx.redhat.com:/tmp/cvs-serv804

Modified Files:
	oidentd.init oidentd.spec 
Log Message:
Update init script (#247006).



Index: oidentd.init
===================================================================
RCS file: /cvs/extras/rpms/oidentd/devel/oidentd.init,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- oidentd.init	29 Jun 2006 09:58:20 -0000	1.1
+++ oidentd.init	11 Apr 2009 11:52:10 -0000	1.2
@@ -1,74 +1,111 @@
 #!/bin/sh
 #
-# oidentd	Start/Stop RFC 1413 identd server
+# oidentd      RFC 1413 identification server
 #
-# chkconfig: - 35 65
-# description:	The identd server provides a means to determine the identity \
-#		of a user of a particular TCP connection.  Given a TCP port \
-#		number pair, it returns a character string which identifies \
-#		the owner of that connection on the server's system.
-# processname: oidentd
-# config: /etc/oidentd.conf
+# chkconfig:   - 35 65
+# description: The identd server provides a means to determine the identity \
+#              of a user of a particular TCP connection.  Given a TCP port \
+#              number pair, it returns a character string which identifies \
+#              the owner of that connection on the server's system.
+
+### BEGIN INIT INFO
+# Provides: identd
+# Required-Start: $local_fs $network
+# Required-Stop: $local_fs $network
+# Should-Start: 
+# Should-Stop: 
+# Default-Start: 
+# Default-Stop: 0 1 2 3 4 5 6
+# Short-Description: RFC 1413 identification server
+# Description:       The identd server provides a means to determine the
+#                    identity of a user of a particular TCP connection.
+#                    Given a TCP port number pair, it returns a character
+#                    string which identifies the owner of that connection
+#                    on the server's system.
+### END INIT INFO
 
 # Source function library.
-. /etc/init.d/functions
+. /etc/rc.d/init.d/functions
 
-# Get config.
-. /etc/sysconfig/network
-
-# Check that networking is up.
-[ "${NETWORKING}" = "no" ] && exit 0
-
-[ -x /usr/sbin/oidentd ] || exit 0
+exec="/usr/sbin/oidentd"
+prog="oidentd"
+config="/etc/oidentd.conf"
 
-# Get options
-. /etc/sysconfig/oidentd
+[ -e /etc/sysconfig/$prog ] && . /etc/sysconfig/$prog
 
-RETVAL=0
-prog="oidentd"
+lockfile=/var/lock/subsys/$prog
 
 start() {
-	echo -n $"Starting $prog: "
-	daemon $prog $OIDENTD_OPTIONS
-	RETVAL=$?
-	echo
-	[ $RETVAL -eq 0 ] && touch /var/lock/subsys/$prog
-	return $RETVAL
+    [ -x $exec ] || exit 5
+    [ -f /etc/sysconfig/$prog ] || exit 6
+    echo -n $"Starting $prog: "
+    daemon $exec $OIDENTD_OPTIONS
+    retval=$?
+    echo
+    [ $retval -eq 0 ] && touch $lockfile
+    return $retval
 }
 
 stop() {
-	echo -n $"Stopping $prog: "
-	killproc $prog
-	RETVAL=$?
-	echo
-	[ $RETVAL -eq 0 ] && rm -f /var/lock/subsys/$prog
-	return $RETVAL
+    echo -n $"Stopping $prog: "
+    killproc $prog
+    retval=$?
+    echo
+    [ $retval -eq 0 ] && rm -f $lockfile
+    return $retval
+}
+
+restart() {
+    stop
+    start
+}
+
+reload() {
+    restart
 }
 
-# See how we were called.
+force_reload() {
+    restart
+}
+
+rh_status() {
+    status $prog
+}
+
+rh_status_q() {
+    rh_status &>/dev/null
+}
+
+
 case "$1" in
-  start)
-	start
-	;;
-  stop)
-	stop
-	;;
-  status)
-	status $prog
-	;;
-  restart|reload)
-	stop
-	start
-	;;
-  condrestart)
-	if [ -f /var/lock/subsys/$prog ]; then
-	    stop
-	    start
-	fi
-	;;
-  *)
-	echo "Usage: $prog {start|stop|status|restart|condrestart}"
-	exit 1
+    start)
+        rh_status_q && exit 0
+        $1
+        ;;
+    stop)
+        rh_status_q || exit 0
+        $1
+        ;;
+    restart)
+        $1
+        ;;
+    reload)
+        rh_status_q || exit 7
+        $1
+        ;;
+    force-reload)
+        force_reload
+        ;;
+    status)
+        rh_status
+        ;;
+    condrestart|try-restart)
+        rh_status_q || exit 0
+        restart
+        ;;
+    *)
+        echo $"Usage: $0 {start|stop|status|restart|condrestart|try-restart|reload|force-reload}"
+        exit 2
 esac
+exit $?
 
-exit $RETVAL


Index: oidentd.spec
===================================================================
RCS file: /cvs/extras/rpms/oidentd/devel/oidentd.spec,v
retrieving revision 1.16
retrieving revision 1.17
diff -u -r1.16 -r1.17
--- oidentd.spec	26 Feb 2009 08:00:41 -0000	1.16
+++ oidentd.spec	11 Apr 2009 11:52:10 -0000	1.17
@@ -1,7 +1,7 @@
 Summary: Implementation of the RFC1413 identification server
 Name: oidentd
 Version: 2.0.8
-Release: 6%{?dist}
+Release: 7%{?dist}
 # A few files taken from other projects are GPLv2+, but the core of oidentd
 # is definitely GPLv2 only.
 License: GPLv2
@@ -77,8 +77,8 @@
 %files
 %defattr(-,root,root,-)
 %doc AUTHORS ChangeLog* COPYING* NEWS README TODO doc/rfc1413
-%ghost %config %{_sysconfdir}/oidentd.conf
-%ghost %config %{_sysconfdir}/oidentd_masq.conf
+%ghost %config(noreplace) %{_sysconfdir}/oidentd.conf
+%ghost %config(noreplace) %{_sysconfdir}/oidentd_masq.conf
 %config(noreplace) %{_sysconfdir}/sysconfig/oidentd
 /etc/rc.d/init.d/oidentd
 %{_sbindir}/oidentd
@@ -86,10 +86,14 @@
 
 
 %changelog
-* Thu Feb 26 2009 Fedora Release Engineering <rel-eng at lists.fedoraproject.org> - 2.0.8-6
+* Sat Apr 11 2009 Matthias Saou <http://freshrpms.net/> 2.0.8-7
+- Update init script (#247006).
+- Mark the ghosted config files as noreplace just in case.
+
+* Thu Feb 26 2009 Fedora Release Engineering <rel-eng at lists.fedoraproject.org>
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild
 
-* Tue Feb 19 2008 Fedora Release Engineering <rel-eng at fedoraproject.org> - 2.0.8-5
+* Tue Feb 19 2008 Fedora Release Engineering <rel-eng at fedoraproject.org>
 - Autorebuild for GCC 4.3
 
 * Wed Aug 22 2007 Matthias Saou <http://freshrpms.net/> 2.0.8-4




More information about the fedora-extras-commits mailing list